Package org.jboss.resteasy.plugins.validation

## Class GeneralValidatorImpl.LocaleSpecificMessageInterpolator

- java.lang.Object
- - org.jboss.resteasy.plugins.validation.GeneralValidatorImpl.LocaleSpecificMessageInterpolator

- All Implemented Interfaces:
    `javax.validation.MessageInterpolator`
  Enclosing class:
    GeneralValidatorImpl

      protected static class GeneralValidatorImpl.LocaleSpecificMessageInterpolator
      extends Object
      implements javax.validation.MessageInterpolator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.MessageInterpolator

      `javax.validation.MessageInterpolator.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocaleSpecificMessageInterpolator​(javax.validation.MessageInterpolator interpolator, Locale locale)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `interpolate​(String messageTemplate, javax.validation.MessageInterpolator.Context context)` |
    `String` | `interpolate​(String messageTemplate, javax.validation.MessageInterpolator.Context context, Locale locale)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleSpecificMessageInterpolator

          public LocaleSpecificMessageInterpolator​(javax.validation.MessageInterpolator interpolator,
                                                   Locale locale)

  - ### Method Detail

    - #### interpolate

          public String interpolate​(String messageTemplate,
                                    javax.validation.MessageInterpolator.Context context)

      Specified by:
        `interpolate` in interface `javax.validation.MessageInterpolator`

    - #### interpolate

          public String interpolate​(String messageTemplate,
                                    javax.validation.MessageInterpolator.Context context,
                                    Locale locale)

      Specified by:
        `interpolate` in interface `javax.validation.MessageInterpolator`